prefixes:
  iab_at_1-0: http://semweb.mmlab.be/ns/iab/at_1-0#
  skos: http://www.w3.org/2004/02/skos/core#

mappings:
  collection:
    sources:
      - ['none.csv~csv']
    s: iab_at_1-0:scheme
    po:
      - [a, skos:ConceptScheme~iri]
      - [rdfs:label, "iab Tech Lab -- Audience Taxonomy 1.0", en~lang]
      - [skos:hasTopConcept, iab_at_1-0:audience~iri]
  topconcept:
    sources:
      - ['none.csv~csv']
    s: iab_at_1-0:audience
    po:
      - [a, skos:Concept~iri]
      - [skos:prefLabel, "Audience Taxonomy", en~lang]
      - [skos:definition, "Top Concept for the iab Audience Taxonomy", en~lang]
      - [skos:topConceptOf, iab_at_1-0:scheme~iri]
      - p: skos:narrower
        o:
          mapping: concept
  concept:
    sources:
      - ['IAB-Tech-Lab-Audience-Taxonomy-1.0.csv~csv']
    s: iab_at_1-0:$(Unique ID)
    po:
      - [a, skos:Concept]
      - [skos:inScheme, iab_at_1-0:scheme~iri]
      - [skos:prefLabel, $(Name), en~lang]
      - [skos:definition, "Originally taken from <https://iabtechlab.com/wp-content/uploads/2018/05/IAB-Tech-Lab-Audience-Taxonomy-1.0-Public-Comment.xlsx>", en~lang]
      - [skos:broader, iab_at_1-0:audience~iri]
      - [skos:broader, iab_at_1-0:$(Parent ID)~iri]
  concept_2:
    sources:
      - ['IAB-Tech-Lab-Audience-Taxonomy-1.0.csv~csv']
    s: iab_at_1-0:$(Parent ID)
    po:
      - [skos:narrower, iab_at_1-0:$(Unique ID)~iri]
